Bug 1320012 - qt5-qt3d-devel version 5.5.0 prodcuces binaries not compatible with qt5 version 5.5.1
Summary: qt5-qt3d-devel version 5.5.0 prodcuces binaries not compatible with qt5 versi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qt3d
Version: 23
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-22 06:30 UTC by Monem
Modified: 2016-04-15 07:21 UTC (History)
3 users (show)

Fixed In Version: qt5-qt3d-5.6.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-15 07:21:31 UTC


Attachments (Terms of Use)

Description Monem 2016-03-22 06:30:14 UTC
Description of problem:
The current build of qt5-qt3d-devel and qt5-qt3d-examples (aged ~8 months) is based on the upstream version 5.5.0. The output binaries when used to compile is not compatible with qt 5.5.1 which the upstream version of the current updated qt5-qtbase (5.5.1-12.fc23).
Version-Release number of selected component (if applicable):
5.5.0-1.fc23


How reproducible:
- Always

Steps to Reproduce:
1. Install qt5-qt3d-examples
2. Run any of these examples e.g. /usr/lib64/qt5/examples/qt3d/simple-cpp/simple-cpp

Actual results:
- Error message and core dump: Cannot mix incompatible Qt library (version 0x50500) with this library (version 0x50501)


Expected results:
- Should work as it is part of fedora


Additional info:
- None

Comment 1 Rex Dieter 2016-03-22 19:31:50 UTC
Should be fixed with batch of Qt 5.6.0 builds coming soon to -testing,

https://bodhi.fedoraproject.org/updates/FEDORA-2016-d4c912d8a2

Comment 2 Fedora Update System 2016-03-22 20:47:03 UTC
qt5-qt3d-5.6.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7790cac33

Comment 3 Fedora Update System 2016-03-24 01:53:10 UTC
qt5-qt3d-5.6.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7790cac33

Comment 4 Fedora Update System 2016-04-15 07:21:29 UTC
qt5-qt3d-5.6.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.